#
# spec file for package yast2-kerberos-client
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-kerberos-client
Version:        2.20.4
Release:        0.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-kerberos-client-%{version}.tar.bz2

Group:          System/YaST
License:        GPL v2 or later
BuildRequires:  doxygen perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-pam yast2-testsuite

# etc_krb5_conf.scr 
Requires:       yast2-pam >= 2.20.0

# Hostname::CurrentDomain, CurrentHostname
Requires:       yast2 >= 2.16.48

BuildArch:      noarch

Summary:        YaST2 - Kerberos Client Configuration

%description
With this YaST2 module, you can configure a Kerberos client so that a
Kerberos server will be used for user authentication.

%prep
%setup -n yast2-kerberos-client-%{version}

%build
%{_prefix}/bin/y2tool y2autoconf
%{_prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/clients/kerberos.ycp
/usr/share/YaST2/clients/kerberos-client.ycp
/usr/share/YaST2/clients/kerberos-client_auto.ycp
/usr/share/YaST2/modules/Kerberos.ycp
/usr/share/YaST2/modules/Kerberos.ybc
%{_prefix}/share/applications/YaST2/kerberos.desktop
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/schema/autoyast/rnc/kerberos.rnc
%dir /usr/share/YaST2/include/kerberos-client
/usr/share/YaST2/include/kerberos-client/dialogs.ycp
/usr/share/YaST2/include/kerberos-client/wizards.ycp
%doc %{_prefix}/share/doc/packages/yast2-kerberos-client
%changelog
* Wed Nov 16 2011 jsuchome@suse.cz
- correctly handle sssd config with more LDAP servers (bnc#729174)
- 2.20.4
* Mon Jan 24 2011 jsuchome@suse.cz
- do not install pam_krb5 if sssd is configured (bnc#666186)
- 2.20.3
* Fri Jan 21 2011 jsuchome@suse.cz
- when sssd is configured, update sssd.conf's kerberos values
- agent for krb5.conf moved to yast2-pam to be usable by ldap-client
- 2.20.2
* Thu Jan 20 2011 jsuchome@suse.cz
- do not use pam_krb5 when sssd is configured
- 2.20.1
* Fri Aug  6 2010 jsuchome@suse.cz
- testsuite adapted to changes in yast2-pam
- 2.20.0
* Thu Jan 28 2010 jsuchome@suse.cz
- leave DNS checkbox disabled when DNS info is not available
  (bnc#574679)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop file
- 2.18.3
* Fri Jun 26 2009 jsuchome@suse.cz
- manual installation of 32bit packages packages no longer needed
  (bnc#354164)
- 2.18.2
* Thu Jun 18 2009 jsuchome@suse.cz
- 2.18.1
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Fri Jun  5 2009 jsuchome@suse.cz
- fixed architecture dependent packages for PPC (bnc#505263)
- 2.18.0
* Wed Jan 14 2009 jsuchome@suse.cz
- no exit confirmation popup if no changes were made (bnc#460157)
* Wed Dec 10 2008 jsuchome@suse.cz
- write openssh enablement when Imported (bnc#457672)
- 2.17.6
* Wed Nov  5 2008 jsuchome@suse.cz
- button labels adaped fro current style guide (bnc#440523)
- 2.17.5
* Wed Oct 15 2008 jsuchome@suse.cz
- use domainname to get the domain name (workaround for bnc#393951)
- 2.17.4
* Thu Oct  9 2008 jsuchome@suse.cz
- fixed failing testsuite (Hostname.ycp)
- 2.17.3
* Wed Sep 24 2008 jsuchome@suse.cz
- hide the option with "existing_ticket" from UI (bnc#429161)
- 2.17.2
* Tue Sep  9 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.17.1
* Mon Aug 25 2008 jsuchome@suse.cz
- added 3rd possible value to ComboBox with services (patch from mc)
- different PAM configuration when LDAP is in use (patch from mc)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Wed May 14 2008 jsuchome@suse.cz
- added CLI options for ssh_support and ignore_unknown
- options from "configure" command may be used in "pam" command
- 2.16.11
* Tue Apr 15 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.16.10
* Tue Apr 15 2008 jsuchome@suse.cz
- disabling during installation makes sense with current workflow
- 2.16.9
* Fri Apr 11 2008 jsuchome@suse.cz
- text fixes (bnc#375588)
- 2.16.8
* Thu Apr 10 2008 jsuchome@suse.cz
- if no KDC is defined, try to propose reasonable one (fate#302863)
- 2.16.7
* Wed Apr  2 2008 ug@suse.de
- rnc file fixed
* Tue Apr  1 2008 jsuchome@suse.cz
- added CLI option to (un)set DNS
- 2.16.6
* Wed Mar 26 2008 jsuchome@suse.cz
- use OK button label instead of Accept (fate #120373)
- 2.16.5
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Fri Feb 22 2008 jsuchome@suse.cz
- do not write "ssh_support" and "ignore_unknown" to /etc/krb5.conf
  (bnc#363980)
- 2.16.4
* Mon Feb 18 2008 jsuchome@suse.cz
- now domain has the leading dot in domain_realm section (#298362)
- 2.16.3
* Tue Jan 29 2008 jsuchome@suse.cz
- added option to provide Kerberos data via DNS (F301812)
- 2.16.2
* Tue Dec 11 2007 jsuchome@suse.cz
- removed obsolete retain_after_close option
- implemented support for more pam_krb5 options (F302014)
- 2.16.1
* Fri Oct 19 2007 jsuchome@suse.cz
- Use Kerberos checked by default during installation (#330054)
- 2.16.0
* Tue Jul 31 2007 jsuchome@suse.cz
- Smart Card Integration (F302132):
  - modify /etc/pam_pkcs11/pam_pkcs11.conf if it is present
  - write domain without leading dot in domain_realm section
- 2.15.7
* Tue Jun 19 2007 jsuchome@suse.cz
- added support for "pkinit" section in krb5.conf (F302132)
- 2.15.6
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Fri Mar 30 2007 jsuchome@suse.cz
- correct using of krb5.conf file sections during write (#258840)
- 2.15.5
* Tue Feb 27 2007 jsuchome@suse.cz
- added option to "Ignore Unknown Principles" (#217369)
- 2.15.4
* Tue Feb 20 2007 jsuchome@suse.cz
- support multiple values for KDC (#246241)
- 2.15.3
* Fri Feb 16 2007 jsuchome@suse.cz
- install required packages at the end of configuration (#233160)
- 2.15.2
* Mon Jan 15 2007 jsuchome@suse.cz
- merged texts from proofread
- 2.15.1
* Fri Jan 12 2007 jsuchome@suse.cz
- enable calling modules for NSS configuration (F5673)
- fixed map with architecture dependent packages
- 2.15.0
* Wed Nov 29 2006 jsuchome@suse.cz
- install more architecture-specific packages (#224510)
- 2.14.5
* Tue Nov 14 2006 jsuchome@suse.cz
- added RNC file for autoyast profile validation (#220775)
- 2.14.4
* Thu Sep 21 2006 jsuchome@suse.cz
- show Next instead of Finish during installation (F120214)
- 2.14.3
* Tue Sep 12 2006 jsuchome@suse.cz
- changed the default value of minimum_uid to 1
- 2.14.2
* Tue Sep 12 2006 jsuchome@suse.cz
- write use_shmem=sshd to pam section of krb5.conf (#201706)
- 2.14.1
* Fri Aug 25 2006 jsuchome@suse.cz
- adapted for pam-config usage (F300956)
- API of PamSettings module is obsolete
- 2.14.0
* Wed Apr 12 2006 jsuchome@suse.cz
- fixed installing architecture-specific packages (#164313)
- 2.13.4
* Thu Mar  2 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Mon Dec 19 2005 jsuchome@suse.cz
- merged proofread texts
- revert setting of "mappings" value (not needed)
- 2.13.2
* Thu Dec  1 2005 jsuchome@suse.cz
- support "mappings" value, necessary for samba-client config
- 2.13.1
* Thu Nov 24 2005 jsuchome@suse.cz
- removed AFS configuration (not supported: F100215)
- added missing comments for translators
- 2.13.0
* Wed Sep  7 2005 jsuchome@suse.cz
- allow setting the port number in KDC entry (#115451)
- 2.12.7
* Tue Sep  6 2005 jsuchome@suse.cz
- adapted to the rename of openafs service and sysconfig file (#115335)
- 2.12.6
* Mon Aug 15 2005 jsuchome@suse.cz
- do not set use_authok (#104051)
- 2.12.5
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop file
- 2.12.4
* Tue Jun 21 2005 jsuchome@suse.cz
- fixed texts from proofreader (rwalter)
- 2.12.3
* Thu May 19 2005 jsuchome@suse.cz
- add new default parameters (use_authtok, try_first_pass) to "pam"
  section of /etc/krb5.conf to enable chaning the passwords (#76162)
- 2.12.2
* Mon May  2 2005 jsuchome@suse.cz
- use FileUtils library
- 2.12.1
* Tue Mar 29 2005 jsuchome@suse.cz
- better checks for defaults
- 2.12.0
* Fri Mar 11 2005 jsuchome@suse.cz
- new tests
* Thu Mar  3 2005 jsuchome@suse.cz
- replace new default values in /etc/krb5.conf (#67297)
- do not write epmty values to /etc/krb5.conf
* Tue Mar  1 2005 jsuchome@suse.cz
- use admin_server instead of kpasswd_server in /etc/krb5.conf
  (#67034)
* Mon Jan 31 2005 jsuchome@suse.cz
- install also architecture-specific packages (#49808)
- 2.11.4
* Tue Jan 11 2005 jsuchome@suse.cz
- switch from heimdal to MIT kerberos
- check validity of KDC adress
- 2.11.3
* Wed Jan  5 2005 jsuchome@suse.cz
- removed last select
- switch Progress off in auto-client
- 2.11.2
* Thu Dec 16 2004 jsuchome@suse.cz
- do not ask for 'Abort Installation' when called from users
- do not show Abort button in 'pseudo-popups'
- 2.11.1
* Wed Oct 27 2004 jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.0
* Mon Aug 30 2004 jsuchome@suse.cz
- Added GetModified function to _auto client (nashif)
- 2.10.5
* Thu Aug 19 2004 jsuchome@suse.cz
- AFS support is back
- 2.10.4
* Mon Aug 16 2004 jsuchome@suse.cz
- 2.10.3
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Wed Aug  4 2004 jsuchome@suse.cz
- use Package instead of Require
- provide AFS texts for translation
- 2.10.2
* Mon Jun 28 2004 jsuchome@suse.cz
- adapted to current yast2-pam behaviour
- 2.10.1
* Wed Jun 16 2004 jsuchome@suse.cz
- updated testsuite (use Testsuite:: module, set testedfiles)
- 2.10.0
* Thu Apr 22 2004 jsuchome@suse.cz
- fix of #39286 (configuration not saved during installation)
- 2.9.9
* Fri Apr  2 2004 jsuchome@suse.cz
- changed license to GPL
- 2.9.8
* Tue Mar 30 2004 jsuchome@suse.cz
- adapt to current 'continue' behaviour
- 2.9.7
* Tue Mar 30 2004 nashif@suse.de
- #37426: Disable NTP Configuration in config mode (autoyast)
* Thu Mar 11 2004 jsuchome@suse.cz
- set icon for wizard
- testsuite enabled again
- 2.9.6
* Wed Mar 10 2004 jsuchome@suse.de
- disabled testsuite
- 2.9.5
* Wed Mar 10 2004 nashif@suse.de
- adapted for new wizard
* Mon Mar  8 2004 jsuchome@suse.cz
- used Sequencer module
- more type fixes
* Fri Mar  5 2004 jsuchome@suse.cz
- correct type handling
- removed AFS configuration
- 2.9.4
* Mon Mar  1 2004 jsuchome@suse.cz
- merged texts from proofread
- 2.9.3
* Wed Feb 18 2004 jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Mon Feb  9 2004 jsuchome@suse.cz
- removed config file (y2cc)
* Fri Jan 30 2004 jsuchome@suse.cz
- fixed testsuite
- 2.9.2
* Fri Nov 28 2003 jsuchome@suse.cz
- syntax fixes for new interpreter
- 2.9.1
* Tue Nov 25 2003 jsuchome@suse.cz
- added possibility to run NTP client (new button in Advanced dialog)
* Tue Nov 18 2003 jsuchome@suse.cz
- adapted to new Network types interface
* Thu Sep 25 2003 jsuchome@suse.cz
- changed button label in Advanced dialog: Next to Ok
- 2.9.0
* Thu Sep 11 2003 jsuchome@suse.cz
- save value of kpasswd_server to /etc/krb5.conf (#30485)
- do not try to read from non-existent /etc/sysconfig/afs-client
* Thu Sep 11 2003 jsuchome@suse.cz
- there is no Require::IsPackageAvailableTarget function (#30459)
- 2.8.10
* Tue Sep  9 2003 jsuchome@suse.cz
- do not require KDC and realm entries when Kerberos is not
  enabled (#30323)
* Tue Sep  9 2003 nashif@suse.de
- #30291: return list of required packages
* Fri Sep  5 2003 jsuchome@suse.cz
- merged in proofread texts
- check packages correctly in autoyast config mode (#30014)
* Tue Sep  2 2003 jsuchome@suse.cz
- fixed testsuite
* Tue Sep  2 2003 jsuchome@suse.cz
- basic command-line interface (new texts)
- ask before restarting/stopping afs-client
- 2.8.8
* Mon Sep  1 2003 arvin@suse.de
- used Popup::ConfirmAbort
* Fri Aug 29 2003 jsuchome@suse.de
- updated desktop file
* Mon Aug 25 2003 jsuchome@suse.cz
- fixed AFS support
- stop/start afs-client
* Fri Aug 22 2003 jsuchome@suse.cz
- Add variable for required packages and return them in auto client
* Wed Aug 20 2003 jsuchome@suse.cz
- removed redundant "initialization dialog" (#28779)
- dialogs rearanged ("client enabled" together with basic settings)
- required/optional applications are installed at the end
- added testsuite
- 2.8.6
* Mon Aug 18 2003 jsuchome@suse.cz
- fixed agent for /etc/ssh/ssh_config ("Host" sections allowed)
* Wed Aug 13 2003 jsuchome@suse.de
- do not ask for heimdal-tools in autoinst config (#28716)
* Wed Aug 13 2003 jsuchome@suse.de
- dialogs redesign, new helptext
- 2.8.5
* Mon Aug 11 2003 arvin@suse.de
- fixed requires
* Mon Aug 11 2003 jsuchome@suse.de
- updated helptexts
* Mon Aug 11 2003 jsuchome@suse.de
- proofread texts (1st round)
- pam_krb5, heimdal-libs checked in yast module (removed from spec file)
- 2.8.3
* Wed Aug  6 2003 jsuchome@suse.de
- new workflow, enabled editing more settings
- AFS support
- new agents for /etc/sysconfig/afs-client, /etc/ssh/ssh_config
- 2.8.2
* Mon Aug  4 2003 jsuchome@suse.de
- using new option for pam_unix2 (call_modules)
- added .desktop file
* Fri Jul 18 2003 jsuchome@suse.de
- pam_krb is now set via PamSettings interface, not into /etc/pam.d/*
- 2.8.1
* Thu Jul 10 2003 jsuchome@suse.de
- ShortSummary
- remove use_first_pass from pam files after disabling (bug #26985)
* Tue Mar 25 2003 jsuchome@suse.de
- adapted to Require interface
- 2.8.0
* Tue Feb 18 2003 nashif@suse.de
- replaced functions in auto client: Result -> Export
- 2.7.3
* Thu Feb  6 2003 jsuchome@suse.de
- merged proofread texts
* Wed Jan 29 2003 jsuchome@suse.cz
- merged proofread texts
* Fri Jan 24 2003 jsuchome@suse.cz
- removed helps.ycp and complex.ycp
  (do not include their texts in pot file)
* Fri Jan 17 2003 jsuchome@suse.de
- fixes: agent added to package, global keys enabled in agent
- added "required" control mode
- heimdal-lib is required package
- 2.7.2
* Mon Jan  6 2003 jsuchome@suse.de
- splited to two dialogs: pam and klient configuration
- autoinstallation
- 2.7.1
* Tue Dec 17 2002 jsuchome@suse.de
- proposing values for realm, kdc
- enabled domain setting
* Mon Dec 16 2002 jsuchome@suse.de
- initial version
- moved from yast2-users module
